Package org.eclipse.ui

## Interface IViewReference

All Superinterfaces:
  `IWorkbenchPartReference`

    public interface IViewReference
    extends IWorkbenchPartReference

Defines a reference to an IViewPart.

This interface is not intended to be implemented by clients.

Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getSecondaryId()` Returns the secondary ID for the view.
`IViewPart` `getView​(boolean restore)` Returns the `IViewPart` referenced by this object.
`boolean` `isFastView()` Returns true if the view is a fast view otherwise returns false.

### Methods inherited from interface org.eclipse.ui.IWorkbenchPartReference

`addPartPropertyListener, addPropertyListener, getContentDescription, getId, getPage, getPart, getPartName, getPartProperty, getTitle, getTitleImage, getTitleToolTip, isDirty, removePartPropertyListener, removePropertyListener`

### Method Detail

#### getSecondaryId

    String getSecondaryId()

Returns the secondary ID for the view.

Returns:
  the secondary ID, or `null` if there is no secondary id
Since:
  3.0
See Also:
  `IWorkbenchPage.showView(String, String, int)`

#### getView

    IViewPart getView​(boolean restore)

Returns the `IViewPart` referenced by this object. Returns `null` if the view was not instantiated or it failed to be restored. Tries to restore the view if `restore` is true.

#### isFastView

    boolean isFastView()

Returns true if the view is a fast view otherwise returns false.